> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new network

> Register a new network and generate credentials



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json post /v0/networks/register
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/networks/register:
    post:
      tags:
        - networks
      summary: Register a new network
      description: Register a new network and generate credentials
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.RegisterNetworkRequest'
        description: Optional network details
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.RegisterNetworkResponse'
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: string
          description: Bad request
        '500':
          content:
            application/json:
              schema:
                type: string
          description: Internal server error
components:
  schemas:
    models.RegisterNetworkRequest:
      description: Request for network registration
      properties:
        name:
          example: Acme Network
          type: string
      type: object
    models.RegisterNetworkResponse:
      description: Response for network registration
      properties:
        network_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        network_name:
          example: example-network
          type: string
        network_secret:
          example: secretpassword
          type: string
      type: object

````